Package es.imim.DISGENET.internal

# Class ApplyCustomLayoutTaskFactory

java.lang.Object
es.imim.DISGENET.internal.ApplyCustomLayoutTaskFactory

All Implemented Interfaces:
  `org.cytoscape.task.NetworkViewTaskFactory`

public class ApplyCustomLayoutTaskFactory extends Object implements org.cytoscape.task.NetworkViewTaskFactory
Applies CustomLayout to the given CyNetworkView with specific Tunable parameters.

## Constructor Summary

Constructors
Constructor
Description
`ApplyCustomLayoutTaskFactory(org.cytoscape.view.layout.CyLayoutAlgorithmManager layoutManager, org.cytoscape.work.TunableSetter tunableSetter)`

## Method Summary

Modifier and Type
Method
Description
`org.cytoscape.work.TaskIterator`
`createTaskIterator(org.cytoscape.view.model.CyNetworkView view)`
`boolean`
`isReady(org.cytoscape.view.model.CyNetworkView view)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ApplyCustomLayoutTaskFactory

public ApplyCustomLayoutTaskFactory(org.cytoscape.view.layout.CyLayoutAlgorithmManager layoutManager, org.cytoscape.work.TunableSetter tunableSetter)

## Method Details

### createTaskIterator

public org.cytoscape.work.TaskIterator createTaskIterator(org.cytoscape.view.model.CyNetworkView view)

Specified by:
  `createTaskIterator` in interface `org.cytoscape.task.NetworkViewTaskFactory`

### isReady

public boolean isReady(org.cytoscape.view.model.CyNetworkView view)

Specified by:
  `isReady` in interface `org.cytoscape.task.NetworkViewTaskFactory`